/*********************************************************************
    This file is part of Siworin. Copyright © 2021 by Ruud Harmsen.

    Siworin is a simple word indexer and local search engine. See
    https://rudhar.com/sfreview/siworin/#siw04 and
    https://rudhar.com/sfreview/siworin/toolsrc/siworin .

    Siworin is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published
    by the Free Software Foundation, either version 3 of the License,
    or (at your option) any later version.

    Siworin is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Siworin.  If not, see <https://www.gnu.org/licenses/>.
  ********************************************************************/

#ifndef _SIWORIN_RANKING_H
#define _SIWORIN_RANKING_H

#include "siworin-match.h"

void siworin_ranking_init (int numelts_hfile_wordvector);
int siworin_ranking_add1hit (
   struct hfile_wordvector_s *matches, int numelts_hfile_wordvector);
void siworin_ranking_finalise (int numelts_hfile_wordvector);

#endif
